import { AxiosInstance } from 'axios';
import Config from './config/Config';
import IConfig from './config/IConfig';
import AuthRequest from './api-request/AuthRequest';
import CartContentRequest from './api-request/CartRequest';
import CategoriesRequest from './api-request/CategoriesRequest';
import LayoutsRequest from './api-request/LayoutsRequest';
import ProductsRequest from './api-request/ProductsRequest';
import PagesRequest from './api-request/PagesRequest';
import OrdersRequest from './api-request/OrdersRequest';
import SettlementsRequest from './api-request/SettlementsRequest';
import WishlistRequest from './api-request/WishlistRequest';
import ProfileRequest from './api-request/ProfileRequest';
import SettingsRequest from './api-request/SettingsRequest';
import TestimonialsRequest from './api-request/TestimonialsRequest';
import VendorsRequest from './api-request/VendorsRequest';
import NotificationRequest from './api-request/NotificationRequest';
declare class CsCartApiSdk {
    protected config: Config;
    protected client: AxiosInstance;
    constructor(config: IConfig);
    readonly products: ProductsRequest;
    readonly pages: PagesRequest;
    readonly categories: CategoriesRequest;
    readonly auth: AuthRequest;
    readonly layouts: LayoutsRequest;
    readonly orders: OrdersRequest;
    readonly settlements: SettlementsRequest;
    readonly cart: CartContentRequest;
    readonly wishlist: WishlistRequest;
    readonly profile: ProfileRequest;
    readonly settings: SettingsRequest;
    readonly testimonials: TestimonialsRequest;
    readonly vendors: VendorsRequest;
    readonly notifications: NotificationRequest;
    getConfig(): IConfig;
    getClient(): AxiosInstance;
    setLanguage(language: string): void;
    setClientId(id: string): void;
    setUserToken(token: string): void;
}
export default CsCartApiSdk;
